## Function template add_scoped_logger_attribute

boost::log::add_scoped_logger_attribute

## Synopsis

    // In header: <boost/log/attributes/scoped_attribute.hpp>

    template<typename LoggerT>
      unspecified add_scoped_logger_attribute(LoggerT & l,
                                              attribute_name const & name,
                                              attribute const & attr);

## Description

Registers an attribute in the logger

Parameters:

`attr` | The attribute. Must not be NULL.
`l` | Logger to register the attribute in
`name` | Attribute name

Returns: | An unspecified guard object which may be used to initialize a `scoped_attribute` variable.